streamWrapper::stream_read
streamWrapper::stream_set_option
streamWrapper
PHP Manual

# streamWrapper::stream_seek

(PHP 4 >= 4.3.2, PHP 5)

streamWrapper::stream_seek — Seeks to specific location in a stream

### Description

public bool streamWrapper::stream_seek ( int `$offset` , int `$whence` = SEEK_SET )

This method is called in response to fseek().

The read/write position of the stream should be updated according to the `offset` and `whence`.

### Parameters

`offset`

  The stream offset to seek to.

`whence`

  Possible values:

  - `SEEK_SET` - Set position equal to `offset` bytes.
  - `SEEK_CUR` - Set position to current location plus `offset`.
  - `SEEK_END` - Set position to end-of-file plus `offset`.

### Return Values

Return `TRUE` if the position was updated, `FALSE` otherwise.

### Notes

> Note:

> If not implemented, `FALSE` is assumed as the return value.

> Note:

> Upon success, streamWrapper::stream_tell() is called directly after calling streamWrapper::stream_seek(). If streamWrapper::stream_tell() fails, the return value to the caller function will be set to `FALSE`

> Note:

> Not all seeks operations on the stream will result in this function being called. PHP streams have read buffering enabled by default (see also stream_set_read_buffer()) and seeking may be done by merely moving the buffer pointer.

### See Also

- fseek() - Seeks on a file pointer

streamWrapper::stream_read
streamWrapper::stream_set_option
streamWrapper
PHP Manual